Subject: Re: [RFC] bisect: Introduce skip-when to automatically skip commits

From: Junio C Hamano <[email-masked]>
Date: Fri, 05 Apr 2024 18:08:12 -0700

Olliver Schinagl <[email-masked]> writes:

> Hey all,
>
> I've also got my work on a branch in my repo, if that helps to look at
> things, https://gitlab.com/olliver/git/-/tree/skip_bisect
>
> Also included is a script to be used as an example. I opted to use
> `git show`, which is nice because it works both on commits, but also
> on notes.
>
> Anyway, any thoughts on the bellow before I send the full series?
>
> Olliver

I would not write get_skip_when() before studying the same file to
see if there already is a helper to read the whole file used in the
vicinity (like strbuf_read_file(), perhaps).

I do not have enough concentration to follow changes to
bisect_auto_next() is reasonable.  Especially I do not know why
"bisect-skip_when" wants to exist and what it is trying to do,
besides the fact that its name looks horrible ;-).